UbixOS V2 2.0

Data Fields
mqtt_connect_client_info_t Struct Reference

`#include <mqtt.h>`

Collaboration diagram for mqtt_connect_client_info_t:

## Data Fields
const char * | client_id
const char * | client_pass
const char * | client_user
u16_t | keep_alive
const char * | will_msg
u8_t | will_qos
u8_t | will_retain
const char * | will_topic

## Detailed Description

Client information and connection parameters

Definition at line 60 of file mqtt.h.

## Field Documentation

## ◆ client_id

const char* mqtt_connect_client_info_t::client_id

Client identifier, must be set by caller

Definition at line 62 of file mqtt.h.

## ◆ client_pass

const char* mqtt_connect_client_info_t::client_pass

Definition at line 65 of file mqtt.h.

## ◆ client_user

const char* mqtt_connect_client_info_t::client_user

User name and password, set to NULL if not used

Definition at line 64 of file mqtt.h.

## ◆ keep_alive

u16_t mqtt_connect_client_info_t::keep_alive

keep alive time in seconds, 0 to disable keep alive functionality

Definition at line 67 of file mqtt.h.

## ◆ will_msg

const char* mqtt_connect_client_info_t::will_msg

Definition at line 71 of file mqtt.h.

## ◆ will_qos

u8_t mqtt_connect_client_info_t::will_qos

Definition at line 72 of file mqtt.h.

## ◆ will_retain

u8_t mqtt_connect_client_info_t::will_retain

Definition at line 73 of file mqtt.h.

## ◆ will_topic

const char* mqtt_connect_client_info_t::will_topic

will topic, set to NULL if will is not to be used, will_msg, will_qos and will retain are then ignored

Definition at line 70 of file mqtt.h.

The documentation for this struct was generated from the following file:

- C:/Dev/git/UbixOS/sys/include/net/apps/mqtt.h